package com.diagbot.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description: 任务分配-科室列表页分页接口-接口出参
 * @Author songxl
 * @Date 2022/4/11 9:20
 */
@ApiModel(value = "任务分配-科室列表页分页接口-接口出参")
@Getter
@Setter
public class GetDeptDistributionDTO implements Serializable {
    private static final long serialVersionUID = 2887264914225402143L;

    @ApiModelProperty(value = "病人住院序号")
    private String behospitalCode;

    @ApiModelProperty(value = "患者姓名")
    private String name;

    @ApiModelProperty(value = "档案号")
    private String fileCode;

    @ApiModelProperty(value = "性别")
    private String sex;

    @ApiModelProperty(value = "年龄")
    private String age = "";

    @ApiModelProperty(value = "科室")
    private String behDeptName;

    @ApiModelProperty(value = "入院时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date behospitalDate;

    @ApiModelProperty(value = "出院时间")
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date leaveHospitalDate;

    @ApiModelProperty(value = "住院天数")
    private String behospitalDayNum;

    @ApiModelProperty(value = "主管医生")
    private String doctorName;

    @ApiModelProperty(value = "病历得分")
    private Double scoreRes;

    @ApiModelProperty(value = "病历等级")
    private String level;

    @ApiModelProperty(value = "主诊断")
    private String diagnose;

    @ApiModelProperty(value = "病历类型")
    private String behospitalType;

    @ApiModelProperty(value = "病历类型对应分值")
    private String value;

    @ApiModelProperty(value = "科室核查状态")
    private String deptCheckStatus;

    @ApiModelProperty(value = "科室核查人")
    private String deptChName;

    @ApiModelProperty(value = "院级核查状态")
    private String hospCheckStatus;

    @ApiModelProperty(value = "院级核查人")
    private String hospChName;

    @ApiModelProperty(value = "质控科核查状态")
    private String quatCheckStatus;

    @ApiModelProperty(value = "质控科核查人")
    private String quatChName;


}
