package com.diagbot.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

import java.time.LocalDateTime;
import java.io.Serializable;

/**
 * <p>
 * 核查记录表
 * </p>
 *
 * @author songxl
 * @since 2022-05-18
 */
@TableName("med_check_record")
@Getter
@Setter
@ToString
public class CheckRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 病人住院ID
     */
    private String behospitalCode;

    /**
     * 核查类型（0病历，1病案首页，2全部）
     */
    private String checkType;

    /**
     * 核查任务创建人编号
     */
    private Long jobCreator;

    /**
     * 核查任务创建人
     */
    private String jobCreatorName;

    /**
     * 核查任务生成时间
     */
    private LocalDateTime jobCreateTime;

    /**
     * 核查任务类型（0-科室任务 1-质控科 2-院级）
     */
    private String jobType;

    /**
     * 核查任务分配人编号
     */
    private Long jobDistributor;

    /**
     * 核查任务分配人姓名
     */
    private String jobDistributionName;

    /**
     * 核查任务分配时间
     */
    private LocalDateTime jobDistributionTime;

    /**
     * 当前工作流节点id
     */
    private Long workFlowNodeId;

    /**
     * 任务截止日期
     */
    private Long jobEndTime;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private LocalDateTime gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private LocalDateTime gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    /**
     * 备注
     */
    private String remark;

}
