package com.diagbot.facade;


import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.TypeReference;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.diagbot.entity.SysTaskCron;
import com.diagbot.service.impl.CheckDistributionSchemeServiceImpl;
import com.diagbot.util.StringUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description:
 * @author： zhanghang
 * @time: 2022/5/18 16:48
 */
@Component
public class CheckDistributionSchemeFacade extends CheckDistributionSchemeServiceImpl {
    @Autowired
    private SysTaskCronFacade sysTaskCronFacade;

    @Autowired
    private SysDictionaryFacade sysDictionaryFacade;

    /**
     * 新增获取病历类型接口
     *
     * @param
     * @return:
     */
    public Map<String, String> getAddRecordType() {
        //条件暂时不加是否删除
        SysTaskCron sysTaskCron = sysTaskCronFacade.getBaseMapper().selectOne(new QueryWrapper<SysTaskCron>()
                .eq("cron_code", "TASK019")
        );
        Map<String, String> params = new HashMap<>();
        if (sysTaskCron != null) {
            String param = sysTaskCron.getParam();
            if (StringUtil.isNotEmpty(param)) {
                JSONObject paramJson = JSONObject.parseObject(param);
                JSONObject typeName = paramJson.getJSONObject("typeName");
                params = JSONObject.parseObject(typeName.toJSONString(), new TypeReference<Map<String, String>>() {
                });
            }
        }
        return params;
    }


    /**
     * 获取分配方案接口
     *
     * @param
     * @return:
     */
    public Map<String, String> getDistributionType() {
        Map<String, Map<String, String>> dictionaryWithKey = sysDictionaryFacade.getDictionaryWithKey();
        Map<String, String> stringMap = dictionaryWithKey.get("48");
        return stringMap;
    }
}
