package com.diagbot.web;


import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.RespDTO;

import com.diagbot.facade.CheckDistributionSchemeFacade;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;


import java.util.Map;

/**
 * <p>
 * 核查分配方案表 前端控制器
 * </p>
 *
 * @author songxl
 * @since 2022-05-18
 */
@RestController
@RequestMapping("/checkDistributionScheme")
@Api(value = "病历核查-分配方案API", tags = { "病历核查-分配方案API" })
public class CheckDistributionSchemeController {

    @Autowired
    private CheckDistributionSchemeFacade checkDistributionSchemeFacade;

    @ApiOperation(value = "新增获取病历类型接口[by:zhanghang]",
            notes = "新增获取病历类型接口")
    @PostMapping("/getAddRecordType")
    @SysLogger("getAddRecordType")
    public RespDTO<Map<String, String>> getAddRecordType() {
        Map<String, String> addRecordType = checkDistributionSchemeFacade.getAddRecordType();
        return RespDTO.onSuc(addRecordType);
    }


    @ApiOperation(value = "获取分配方案接口[by:zhanghang]",
            notes = "获取分配方案接口")
    @PostMapping("/getDistributionType")
    @SysLogger("getDistributionType")
    public RespDTO<Map<String, String>> getDistributionType() {
        return RespDTO.onSuc(checkDistributionSchemeFacade.getDistributionType());
    }

}
