package com.diagbot.web;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.diagbot.annotation.SysLogger;
import com.diagbot.dto.GetDeptDistributionDTO;
import com.diagbot.dto.RespDTO;
import com.diagbot.facade.CheckRecordExamineFacade;
import com.diagbot.facade.CheckRecordFacade;
import com.diagbot.vo.GetDeptDistributionVO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RestController;

/**
 * <p>
 * 核查记录审批表 前端控制器
 * </p>
 *
 * @author songxl
 * @since 2022-05-18
 */
@RestController
@RequestMapping("/checkRecord")
@Api(value = "病历核查API", tags = { "病历核查API" })
public class CheckRecordExamineController {

    @Autowired
    private CheckRecordExamineFacade checkRecordExamineFacade;

    @ApiOperation(value = "任务分配-科室列表页分页接口[by:songxl]",
            notes = "任务分配-科室列表页分页接口")
    @PostMapping("/getDeptDistributionPage")
    @SysLogger("getDeptDistributionPage")
    public RespDTO<IPage<GetDeptDistributionDTO>> getDeptDistributionPage(@RequestBody GetDeptDistributionVO getDeptDistributionVO) {
        getDeptDistributionVO.setType("0");
        return RespDTO.onSuc(checkRecordExamineFacade.getDistributionPage(getDeptDistributionVO));
    }
}
